
Figure - Bug #118621
【IOVDEV-33254】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【蓝牙】副屏在播放本地视频时
连接配对蓝牙耳机会出现暂停的情况，第三方在线视频就不会有这种情况
2023-06-07 17:24 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-07

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0088.c103.02_NO����【副屏版本号】：01.00.0106.c104

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230607 14：44

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.点击播放本地视频

2.进行蓝牙耳机配对

【实际结果】

1.进行耳机配对时视频播放会暂停

【期望结果】

1.视频播放不受影响，正常播放，声音接入蓝牙耳机

【备注】：

第293次开机

蓝牙设备型号：华为蓝牙耳机FREEBuds 4E

日志、视频地址：https://ofs.human-horizons.com/#/download/index/8nvhn6%2FTt38%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0088.c103.02_NO

【副屏版本号】：01.00.0106.c104

History

#1 - 2023-06-07 20:04 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

当前分析：

在14：44分时，可以看到发出了暂停的keyevent，导致了内置视频的暂停，

而在线视频不会理会keyevnet事件，所以对第三方视频不影响。

2025-07-04 1/3

https://ofs.human-horizons.com/#/download/index/8nvhn6%2FTt38%3D


000293_manual_00018_230607_144410.log:1285:06-07 14:44:17.026 10015 10102 D Avrcp_ext: passthrough from device: C0:83:C9:70:84:14

000293_manual_00018_230607_144410.log:1286:06-07 14:44:17.026 10015 10102 I Avrcp_ext: A2dpSupported true AvrcpSupported true

000293_manual_00018_230607_144410.log:1287:06-07 14:44:17.027 10015 10102 D Avrcp_ext: Active device: C0:83:C9:70:84:14

000293_manual_00018_230607_144410.log:1288:06-07 14:44:17.032   816 10087 I vendor.qti.bluetooth@1.0-ibs_handler: ProcessIbsCmd: Received

IBS_WAKE_ACK: 0xFC

000293_manual_00018_230607_144410.log:1289:06-07 14:44:17.032   816 10087 I vendor.qti.bluetooth@1.0-ibs_handler: ProcessIbsCmd: Signal wack_cond_

000293_manual_00018_230607_144410.log:1290:06-07 14:44:17.032   816   816 D vendor.qti.bluetooth@1.0-ibs_handler: DeviceWakeUp: Unblocked from

waiting for FC, pthread_cond_timedwait ret = 0

000293_manual_00018_230607_144410.log:1291:06-07 14:44:17.032 10015 10102 I Avrcp_ext: A2dpSupported true AvrcpSupported true

000293_manual_00018_230607_144410.log:1292:06-07 14:44:17.032 10015 10102 D Avrcp_ext: ignore_play: false

000293_manual_00018_230607_144410.log:1293:06-07 14:44:17.032 10015 10102 D Avrcp_ext: Avrcp current play state: 2 isMusicActive: true A2dp state: 10

Cached passthrough command: 0

000293_manual_00018_230607_144410.log:1294:06-07 14:44:17.033 10015 10102 D BATService: getBATService(): service is NULL

000293_manual_00018_230607_144410.log:1295:06-07 14:44:17.033 10015 10102 D Avrcp_ext: cached passthrough: 0current passthrough: 127

000293_manual_00018_230607_144410.log:1296:06-07 14:44:17.033 22137 23783 E [PCDN_NG]: [vod_download.cpp::cancel_waiting:1755]

[----]cancel_wait:[1#90](2),from:3,dx_ms:557,em:ok

000293_manual_00018_230607_144410.log:1297:06-07 14:44:17.034  1519  7085 D MediaSessionService: Sending KeyEvent { action=ACTION_DOWN,

keyCode=KEYCODE_MEDIA_PAUSE, scanCode=0, metaState=0, flags=0x0, repeatCount=0, eventTime=0, downTime=0, deviceId=-1, source=0x0,

displayId=0 } to com.youku.phone/PlayAudioMediaSession (userId=0)

下一步：

需要蓝牙组分析一下，蓝牙耳机连接时为什么发出暂停事件。

#2 - 2023-06-07 20:09 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD LC 陶洪普

#3 - 2023-06-08 11:50 - 短距组_SSRDCNJ 蒋俊杰

当前进展：

发出暂停事件的passthrough是耳机的行为，这个无法干预。

下一步：

建议找两个其他品牌的蓝牙耳机再试一下，看下是否是耳机行为差异导致的。

如果其他耳机也有同样的现象，那就需要MediaSessionService去确认，是否需要将本地视频和在线视频的处理保持一致

#4 - 2023-06-12 09:44 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

在jira上跟踪，内部关闭此票。

#5 - 2023-07-28 14:54 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to CD TEST-方永红

#6 - 2023-08-03 10:08 - CD TEST-方永红
- Status changed from RESOLVED to VERIFIED

8.3

客户已关闭，同步关闭

#7 - 2023-08-03 10:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_iov0201017500006162025411a2212290000000601_000293_0607144455.tar.gz4.9 MB 2023-06-07 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000601_000293_0607144808.tar.gz21.6 MB 2023-06-07 CDTS_Test 吴诗雨

飞书20230607-145128.mp4 11.8 MB 2023-06-07 CDTS_Test 吴诗雨

飞书20230607-145206.mp4 24.9 MB 2023-06-07 CDTS_Test 吴诗雨
